﻿$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName    = $env:ChocolateyPackageName
  url            = 'https://github.com/brave/browser-laptop/releases/download/v0.25.2dev/BraveSetup-ia32.exe'
  url64          = 'https://github.com/brave/browser-laptop/releases/download/v0.25.2dev/BraveSetup-x64.exe'
  checksum       = '36ffd8b1561b6c69d36a2184b4210a0bbb9b67f18da8d0f76847deb540fcadfe'
  checksum64     = 'ec643ec734b761d02bee02b3ae7343eeab2703ac44105bb0f87b3e7ffb17467d'
  checksumType   = 'sha256'
  checksum64Type = 'sha256'
}

Install-ChocolateyPackage @packageArgs

Get-ChildItem $toolsDir\*.exe | ForEach-Object { Remove-Item $_ -ea 0; if (Test-Path $_) { Set-Content "$_.ignore" } }
